Compare commits

...
Author SHA1 Message Date
Serge Schneider 80d486687e Update release notes 2019-09-25 19:26:16 +01:00
Serge Schneider 5780006ecd Update release notes 2019-09-25 15:06:49 +01:00
Matthijs Kooijman 99f702f0ff Use parted for partitioning (#285)
Previously, fdisk was used by sending commands into its stdin, which is
not very robust (since it heavily relies on the interactive prompts
offered by fdisk as well as the default values it offers, which seem
prone to changing in future version).

It seems likely that in the past, fdisk was easier than parted since it
provides default values that make it easier to create adjacent
partitions, without precalculating all positions in the script. However
now that partitions are manually being aligned, all data must be
calculated anyway.

This commit changes the partition generation to use parted rather than
fdisk. For this, it rewrites various calculations and renames variables
to be easier to read as well. All values are now in number of bytes,
rather than mixing bytes and sectors.

This commit also makes makes sure that the boot partition and root
partition are always adjacent (previously the root partition was aligned
without also rounding the boot partition size, leaving some empty space
in between).

As a side effect of using parted, this also causes the "bootcode" part
of the MBR to be filled with some default x86 bootcode. This is totally
irrelevant for booting the Raspberry Pi, but it does prevent triggering
a bug in parted. When using parted to change the partition table (e.g.
when resizing the root partition on first boot by raspi-config's
init_resize.sh), the disk identifier would be changed due to this bug,
which would change the PARTUUID of all partitions. The init_resize.sh
script would work around this by updating the PARTUUID in e.g. fstab,
but that's fragile at best.  This commit prevents the bug from
triggering and keeps the disk identifier the same.

See https://debbugs.gnu.org/35714 for details about this parted bug.

This commit fixes #284.
2019-09-25 13:46:38 +01:00
Serge Schneider 946f164006 stage3: Mousepad used as simple text editor instead of leafpad 2019-09-24 15:57:09 +01:00
Serge Schneider 6538d5babf Update release notes 2019-09-23 15:30:02 +01:00
fpicalausa 652780757b Update config.txt to replace lirc-rpi with gpio-ir (#328)
The example for enabling IR transmission in `/boot/config.txt` is still using the deprecated `lirc-rpi` overlay. 
The documentation in `/boot/overlays/README` indicates that this overlay has been deprecated in favor of `gpio-ir` / `gpio-ir-tx`.

This updates the actual config.txt to suggest `gpio-ir` instead of `lirc-rpi`.
2019-09-23 10:11:58 +01:00
Serge Schneider d1ed4a2982 Include rpi-eeprom 2019-09-18 14:53:35 +01:00
Russ Kubes 00c22ab57e Updated export-image to not depend on fake-hwclock and hardlink. (#326) 2019-08-27 18:16:24 +01:00
Serge Schneider e8460beb3b Revert "export-image: Remove interfaces.dpkg-old"
This reverts commit a016561600.
2019-08-14 15:54:50 +01:00
Serge Schneider 77833ba929 cmdline.txt: remove dwc_otg.lpm_enable=0 2019-08-14 15:32:05 +01:00
Serge Schneider c49261d756 stage2: install pciutils 2019-08-14 15:32:05 +01:00
Serge Schneider a016561600 export-image: Remove interfaces.dpkg-old 2019-08-14 15:28:12 +01:00
Serge Schneider c1ff2b1cac stage4: rename thonny package 2019-08-14 14:58:54 +01:00
Serge Schneider 28f344144c stage5: add scratch3 2019-08-14 14:58:54 +01:00
Joshua Bussdieker d1f7a38905 Support regional config settings (#323) 2019-08-14 11:26:55 +01:00
Christophe Hurpeau 8110eb4891 Remove unused interfaces file (#322) 2019-08-11 16:50:11 +01:00
Kevin Stone 18b945ffb2 Moved git-hash determination to passed in build variable (#273) 2019-08-11 16:44:00 +01:00
Hugo Hromic 920e22bdc5 Ensure that the configuration file is an absolute path in Docker build (#306)
* Use `&&` instead of `;` in Docker pipeline

* In case of error, `&&` does not continue execution

* Silence shellcheck warning

* SC2086: Double quote to prevent globbing and word splitting.

* Ensure that the configuration file is an absolute path in Docker build

The specific problem is in commit 2ddd7c1, where the passed config file
(using the `-c` option) is now mounted inside the container using the
`--volume src:dest:opt` Docker option.

The problem is that Docker requires absolute paths for mounting single
files inside the container, otherwise it silently tries to mount a volume
name instead as an empty directory. Therefore the Docker build no longer
works with the following invocation forms (relative config-paths):

    ./build-docker.sh -c myconfig
    /path/to/build-docker.sh -c myconfig   # also doesn't work

This commit uses `realpath` (included in coreutils) in the Docker build
script to ensure that the passed configuration file is always an
absolute path before passing it to Docker.
2019-07-30 12:38:26 +01:00
Jens Hilligsøe 5436273ec7 Make build_docker.sh portable again (#308)
Last commit made the script break on macOS.

From `man sed` (On Linux):

```
       -E, -r, --regexp-extended

              use extended regular expressions in the script (for portability use POSIX -E).
```
2019-07-23 14:44:33 +01:00
132ikl c0714e33d6 Update Stretch to Buster in README (#310) 2019-07-23 14:43:07 +01:00
Serge Schneider 9c0a25d852 stage2: add ntfs-3g 2019-07-18 12:07:45 +01:00
Serge Schneider 210b51c293 stage3: remove Epiphany 2019-07-10 15:47:17 +01:00
Serge Schneider 4c575d7e8f Add missing release notes 2019-07-10 15:42:40 +01:00
Serge Schneider 175dfb027f Update release notes 2019-07-08 19:52:00 +01:00
Serge Schneider 37482277d3 stage2: Add vl805fw 2019-07-08 19:42:09 +01:00
Serge Schneider 4118f8d524 stage5: Add Mathematica 2019-07-08 19:29:35 +01:00
gscscnd 1143530351 Revert "stage2: Add apt-transport-https" (#304)
This reverts commit 1806504983.

In Buster, APT has built‐in support for HTTPS repos (since version 1.5).
The ca-certificates package is already included in the modified file, so
this commit shouldn’t break anything.
2019-07-03 16:42:26 +01:00
gscscnd fd21eff626 README.md shouldn’t be executable (#303)
In 667318116a, README.md’s file mode bits
were changed from 0o644 to 0o755. This commit reverts them back to
0o644.
2019-07-03 13:02:48 +01:00
Samuele Maci ae4ec6445e build-docker.sh does not assume PWD=<repo root> (#302)
* bash variables in build-docker.sh are wrapped by curly brackets

* Ensure presence of config file while running build-docker.sh

* Do not assume that build-docker.sh is run from the repository root directory

* Mount config file in predictable location in docker container
2019-07-02 14:56:41 +01:00
Xerxes Rånby 57ef9b88e3 stage2/00-copies-and-fills/02-run.sh: Fix re-runs of script (#301)
Check that file exist before move.
2019-07-02 14:54:25 +01:00
Ondřej Caletka 3db1168fbd Remove obsolete IPv6 turnoff (#300)
Turning off IPv6 by aliasing `net-pf-10` to `off` does not work anymore.
Also, turning off IPv6 on system level breaks apps depending on IPv6
loopback or IPv6 link-local addresssing and creates issues in both
dual-stack and IPv6-only environments.

Signed-off-by: Ondřej Caletka <[email protected]>
2019-07-01 13:21:44 +01:00
Russ Kubes 4ca539cb45 Fix build.sh to run dependencies_check prior to using curl. (#299) 2019-07-01 13:17:12 +01:00
Ryan Walmsley 3c559aeb56 64 bit message (#298)
Added a handy message to make it clear that compiling on a 64 bit OS is causing issues. After spending over an hour of troubleshooting think it should be made clearer as it'll affect quite a few users.
2019-06-28 12:40:06 +01:00
Hugo Hromic cf50ff26d2 Update Dockerfile base image to Debian Buster (#295)
With the Qemu version shipped with Debian Stretch, the `man-db` package
being installed for Buster in the image triggers many of these errors:

    qemu: Unsupported syscall: 383

This is a manifestation of the following bug:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=891109

This is resolved in the current Qemu version shipped with Debian Buster.
2019-06-27 11:47:23 +01:00
Serge Schneider a4be08e275 Update release notes 2019-06-21 15:54:50 +01:00
22 changed files with 220 additions and 86 deletions
+1 -1
View File
@@ -1,4 +1,4 @@
FROM debian:stretch
FROM debian:buster
ENV DEBIAN_FRONTEND noninteractive
Executable → Regular
+20 -1
View File
@@ -6,7 +6,7 @@ _Tool used to create the raspberrypi.org Raspbian images_
## Dependencies
pi-gen runs on Debian based operating systems. Currently it is only supported on
either Debian Stretch or Ubuntu Xenial and is known to have issues building on
either Debian Buster or Ubuntu Xenial and is known to have issues building on
earlier releases of these systems. On other Linux distributions it may be possible
to use the Docker build described below.
@@ -78,6 +78,22 @@ The following environment variables are supported:
Setting to '1' enables the QEMU mode - creating an image that can be mounted via QEMU for an emulated
environment. These images include "-qemu" in the image file name.
* `LOCALE_DEFAULT` (Default: "en_GB.UTF-8" )
Default system locale.
* `KEYBOARD_KEYMAP` (Default: "gb" )
Default keyboard keymap.
* `KEYBOARD_LAYOUT` (Default: "English (UK)" )
Default keyboard layout.
* `TIMEZONE_DEFAULT` (Default: "Europe/London" )
Default keyboard layout.
* `FIRST_USER_NAME` (Default: "pi" )
Username for the first user
@@ -295,6 +311,9 @@ follows:
# Troubleshooting
## `64 Bit Systems`
Please note there is currently an issue when compiling with a 64 Bit OS. See https://github.com/RPi-Distro/pi-gen/issues/271
## `binfmt_misc`
Linux is able execute binaries from other architectures, meaning that it should be
+50 -29
View File
@@ -1,36 +1,47 @@
#!/bin/bash -e
#!/bin/bash -eu
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
BUILD_OPTS="$*"
DOCKER="docker"
set +e
if ! $DOCKER ps >/dev/null 2>&1; then
if ! ${DOCKER} ps >/dev/null 2>&1; then
DOCKER="sudo docker"
fi
if ! $DOCKER ps >/dev/null; then
if ! ${DOCKER} ps >/dev/null; then
echo "error connecting to docker:"
$DOCKER ps
${DOCKER} ps
exit 1
fi
set -e
if [ -f config ]; then
# shellcheck disable=SC1091
source config
CONFIG_FILE=""
if [ -f "${DIR}/config" ]; then
CONFIG_FILE="${DIR}/config"
fi
while getopts "c:" flag
do
case "$flag" in
case "${flag}" in
c)
# shellcheck disable=SC1090
source "$OPTARG"
CONFIG_FILE="${OPTARG}"
;;
*)
;;
esac
done
# Ensure that the configuration file is an absolute path
CONFIG_FILE=$(realpath -s "$CONFIG_FILE")
# Ensure that the confguration file is present
if test -z "${CONFIG_FILE}"; then
echo "Configuration file need to be present in '${DIR}/config' or path passed as parameter"
exit 1
else
# shellcheck disable=SC1090
source "${CONFIG_FILE}"
fi
CONTAINER_NAME=${CONTAINER_NAME:-pigen_work}
CONTINUE=${CONTINUE:-0}
PRESERVE_CONTAINER=${PRESERVE_CONTAINER:-0}
@@ -41,32 +52,42 @@ if [ -z "${IMG_NAME}" ]; then
exit 1
fi
CONTAINER_EXISTS=$($DOCKER ps -a --filter name="$CONTAINER_NAME" -q)
CONTAINER_RUNNING=$($DOCKER ps --filter name="$CONTAINER_NAME" -q)
if [ "$CONTAINER_RUNNING" != "" ]; then
echo "The build is already running in container $CONTAINER_NAME. Aborting."
# Ensure the Git Hash is recorded before entering the docker container
GIT_HASH=${GIT_HASH:-"$(git rev-parse HEAD)"}
CONTAINER_EXISTS=$(${DOCKER} ps -a --filter name="${CONTAINER_NAME}" -q)
CONTAINER_RUNNING=$(${DOCKER} ps --filter name="${CONTAINER_NAME}" -q)
if [ "${CONTAINER_RUNNING}" != "" ]; then
echo "The build is already running in container ${CONTAINER_NAME}. Aborting."
exit 1
fi
if [ "$CONTAINER_EXISTS" != "" ] && [ "$CONTINUE" != "1" ]; then
echo "Container $CONTAINER_NAME already exists and you did not specify CONTINUE=1. Aborting."
if [ "${CONTAINER_EXISTS}" != "" ] && [ "${CONTINUE}" != "1" ]; then
echo "Container ${CONTAINER_NAME} already exists and you did not specify CONTINUE=1. Aborting."
echo "You can delete the existing container like this:"
echo " $DOCKER rm -v $CONTAINER_NAME"
echo " ${DOCKER} rm -v ${CONTAINER_NAME}"
exit 1
fi
$DOCKER build -t pi-gen .
if [ "$CONTAINER_EXISTS" != "" ]; then
trap 'echo "got CTRL+C... please wait 5s"; $DOCKER stop -t 5 ${CONTAINER_NAME}_cont' SIGINT SIGTERM
time $DOCKER run --rm --privileged \
# Modify original build-options to allow config file to be mounted in the docker container
BUILD_OPTS="$(echo "${BUILD_OPTS:-}" | sed -E 's@\-c\s?([^ ]+)@-c /config@')"
${DOCKER} build -t pi-gen "${DIR}"
if [ "${CONTAINER_EXISTS}" != "" ]; then
trap 'echo "got CTRL+C... please wait 5s" && ${DOCKER} stop -t 5 ${CONTAINER_NAME}_cont' SIGINT SIGTERM
time ${DOCKER} run --rm --privileged \
--volume "${CONFIG_FILE}":/config:ro \
-e "GIT_HASH=${GIT_HASH}" \
--volumes-from="${CONTAINER_NAME}" --name "${CONTAINER_NAME}_cont" \
pi-gen \
bash -e -o pipefail -c "dpkg-reconfigure qemu-user-static &&
cd /pi-gen; ./build.sh ${BUILD_OPTS} ;
cd /pi-gen; ./build.sh ${BUILD_OPTS} &&
rsync -av work/*/build.log deploy/" &
wait "$!"
else
trap 'echo "got CTRL+C... please wait 5s"; $DOCKER stop -t 5 ${CONTAINER_NAME}' SIGINT SIGTERM
time $DOCKER run --name "${CONTAINER_NAME}" --privileged \
trap 'echo "got CTRL+C... please wait 5s" && ${DOCKER} stop -t 5 ${CONTAINER_NAME}' SIGINT SIGTERM
time ${DOCKER} run --name "${CONTAINER_NAME}" --privileged \
--volume "${CONFIG_FILE}":/config:ro \
-e "GIT_HASH=${GIT_HASH}" \
pi-gen \
bash -e -o pipefail -c "dpkg-reconfigure qemu-user-static &&
cd /pi-gen; ./build.sh ${BUILD_OPTS} &&
@@ -74,12 +95,12 @@ else
wait "$!"
fi
echo "copying results from deploy/"
$DOCKER cp "${CONTAINER_NAME}":/pi-gen/deploy .
${DOCKER} cp "${CONTAINER_NAME}":/pi-gen/deploy .
ls -lah deploy
# cleanup
if [ "$PRESERVE_CONTAINER" != "1" ]; then
$DOCKER rm -v "$CONTAINER_NAME"
if [ "${PRESERVE_CONTAINER}" != "1" ]; then
${DOCKER} rm -v "${CONTAINER_NAME}"
fi
echo "Done! Your image(s) should be in deploy/"
+11 -2
View File
@@ -168,6 +168,15 @@ export WPA_PASSWORD
export WPA_COUNTRY
export ENABLE_SSH="${ENABLE_SSH:-0}"
export LOCALE_DEFAULT="${LOCALE_DEFAULT:-en_GB.UTF-8}"
export KEYBOARD_KEYMAP="${KEYBOARD_KEYMAP:-gb}"
export KEYBOARD_LAYOUT="${KEYBOARD_LAYOUT:-English (UK)}"
export TIMEZONE_DEFAULT="${TIMEZONE_DEFAULT:-Europe/London}"
export GIT_HASH=${GIT_HASH:-"$(git rev-parse HEAD)"}
export BASE_DIR
export CLEAN
@@ -197,6 +206,8 @@ source "${SCRIPT_DIR}/common"
# shellcheck source=scripts/dependencies_check
source "${SCRIPT_DIR}/dependencies_check"
dependencies_check "${BASE_DIR}/depends"
#check username is valid
if [[ ! "$FIRST_USER_NAME" =~ ^[a-z][-a-z0-9_]*$ ]]; then
echo "Invalid FIRST_USER_NAME: $FIRST_USER_NAME"
@@ -208,8 +219,6 @@ if [[ -n "${APT_PROXY}" ]] && ! curl --silent "${APT_PROXY}" >/dev/null ; then
exit 1
fi
dependencies_check "${BASE_DIR}/depends"
mkdir -p "${WORK_DIR}"
log "Begin ${BASE_DIR}"
+4
View File
@@ -4,8 +4,12 @@ IMG_FILE="${STAGE_WORK_DIR}/${IMG_FILENAME}${IMG_SUFFIX}.img"
INFO_FILE="${STAGE_WORK_DIR}/${IMG_FILENAME}${IMG_SUFFIX}.info"
on_chroot << EOF
if [ -x /etc/init.d/fake-hwclock ]; then
/etc/init.d/fake-hwclock stop
fi
if hash hardlink 2>/dev/null; then
hardlink -t /usr/share/doc
fi
EOF
if [ -d "${ROOTFS_DIR}/home/${FIRST_USER_NAME}/.config" ]; then
+17 -22
View File
@@ -10,32 +10,27 @@ rm -rf "${ROOTFS_DIR}"
mkdir -p "${ROOTFS_DIR}"
BOOT_SIZE="$((256 * 1024 * 1024))"
TOTAL_SIZE=$(du --apparent-size -s "${EXPORT_ROOTFS_DIR}" --exclude var/cache/apt/archives --block-size=1 | cut -f 1)
ROOT_SIZE=$(du --apparent-size -s "${EXPORT_ROOTFS_DIR}" --exclude var/cache/apt/archives --exclude boot --block-size=1 | cut -f 1)
ROUND_SIZE="$((4 * 1024 * 1024))"
ROUNDED_ROOT_SECTOR=$(((BOOT_SIZE + ROUND_SIZE) / ROUND_SIZE * ROUND_SIZE / 512 + 8192))
IMG_SIZE=$(((BOOT_SIZE + TOTAL_SIZE + (800 * 1024 * 1024) + ROUND_SIZE - 1) / ROUND_SIZE * ROUND_SIZE))
# All partition sizes and starts will be aligned to this size
ALIGN="$((4 * 1024 * 1024))"
# Add this much space to the calculated file size. This allows for
# some overhead (since actual space usage is usually rounded up to the
# filesystem block size) and gives some free space on the resulting
# image.
ROOT_MARGIN=$((800*1024*1024))
BOOT_PART_START=$((ALIGN))
BOOT_PART_SIZE=$(((BOOT_SIZE + ALIGN - 1) / ALIGN * ALIGN))
ROOT_PART_START=$((BOOT_PART_START + BOOT_PART_SIZE))
ROOT_PART_SIZE=$(((ROOT_SIZE + ROOT_MARGIN + ALIGN - 1) / ALIGN * ALIGN))
IMG_SIZE=$((BOOT_PART_START + BOOT_PART_SIZE + ROOT_PART_SIZE))
truncate -s "${IMG_SIZE}" "${IMG_FILE}"
fdisk -H 255 -S 63 "${IMG_FILE}" <<EOF
o
n
8192
+$((BOOT_SIZE / 512))
p
t
c
n
${ROUNDED_ROOT_SECTOR}
p
w
EOF
parted --script "${IMG_FILE}" mklabel msdos
parted --script "${IMG_FILE}" unit B mkpart primary fat32 "${BOOT_PART_START}" "$((BOOT_PART_START + BOOT_PART_SIZE - 1))"
parted --script "${IMG_FILE}" unit B mkpart primary ext4 "${ROOT_PART_START}" "$((ROOT_PART_START + ROOT_PART_SIZE - 1))"
PARTED_OUT=$(parted -sm "${IMG_FILE}" unit b print)
BOOT_OFFSET=$(echo "$PARTED_OUT" | grep -e '^1:' | cut -d':' -f 2 | tr -d B)
@@ -1,5 +1,94 @@
UNRELEASED:
*
* rpi-eeprom included
- This will automatically update the SPI EEPROM on the Raspberry Pi 4 to the latest stable version.
See https://rpf.io/eeprom for more information.
* New icon theme for file manager icons
* Appearance Settings - option for identical desktop on both monitors
* Appearance Settings - option to show different desktop icons on both monitors
* Taskbar automatically moved to monitor 0 if monitor 1 not found at boot
* Switching of audio output between two HDMI devices added to volume plugin
* Switching of audio input devices added to volume plugin
* .asoundrc (ALSA config file) now uses 'plug' values to support more devices
* Audio Settings tool modified to integrate more closely with volume plugin to reduce duplicated code
* Screen Configuration tool now shows separate menus for resolution and refresh rate
* Primary and active monitor settings removed from Screen Configuration tool
* Overscan support added for FKMS driver
* New keyboard shortcuts added - Ctrl-Alt-End brings up shutdown menu; Ctrl-Alt-M moves taskbar between monitors
* Latest changes to Bluez ALSA interface integrated to improve connection to Bluetooth audio devices
* Mousepad used as simple text editor instead of leafpad
* Version 3.2 of Thonny added
* Version 74 of Chromium added
* Version 3.0.8 of VLC added
* Version 32.0.0.255 of Flash player added
* Version 6.5.0 of RealVNC Server added
* Version 6.19.715 of RealVNC Viewer added (full image only)
* Version 12.0.1 of Mathematica added (full image only)
* Version 0.20.8 of NodeRED added (full image only)
* Version 3.1.0 of Sonic Pi added (full image only)
* Scratch 3 added (full image only)
* Bug fix - URL handling in Terminal
* Bug fix - octal values in SSIDs in network plugin
* Bug fix - remaining value in progress bar when transferring files
* Bug fix - integration of xarchiver tool with file manager
* Bug fix - start menu opening on incorrect monitor
* Bug fix - minimised applications wrongly displayed on taskbar on second monitor
* Bug fix - Bluetooth icon disappearing on x86 platforms when Bluetooth turned off
* Bug fix - Screen Configuration tool not shown on x86 platforms and settings not being saved
* Various translation updates
* Various minor bug fixes
* Epiphany/Web removed
* ntfs-3g included
* pciutils added
* Linux kernel 4.19.75
* Raspberry Pi firmware 01508e81ec1e918448227ca864616d56c430b46d
2019-07-10:
* Clearer options for switching of Pi 4 video output in Raspberry Pi Configuration
* Option added to Appearance Settings to move taskbar to second monitor
* Option added to Recommended Software to restrict package installs by architecture
* New version of Adobe Flash player (32.0.0.223)
* Selection of screen refresh rates added to Screen Configuration
* Fix for missing text insertion cursor in LibreOffice on Pi 4
* Fix for Wi-fi interruption when Wi-fi icon on taskbar is clicked
* FIx for incorrect desktop background behind desktop login prompt
* Fix for segmentation faults when launching obconf and lxapperarance
* Fix for unclosed file pointer in Screen Configuration
* Fix for Bluetooth plugin freeze when large numbers of devices detected
* Fix for opening URLs not working in lxterminal
* Fix for start menu opening on incorrect monitor when launched from keyboard
* Fix for taskbar item not having [] removed when un-minimising on second monitor
* Fix for Chromium video playback and WebGL performance on Pi 4
* Remove 4kp60 option from Raspberry Pi Configuration
* Rename hdmi_enable_4k to hdmi_enable_4kp60 in /boot/config.txt and raspi-config
* Linux kernel 4.19.57
* Raspberry Pi firmware 356f5c2880a3c7e8774025aa6fc934a617553e7b
2019-06-20:
* Based on Debian Buster
* Support for Raspberry Pi 4 hardware
* FKMS OpenGL desktop graphics driver and xcompmgr compositing window manager used when running on Raspberry Pi 4
* Screen Configuration application added for use with FKMS driver
* Raspberry Pi 4 video output options added to Raspberry Pi Configuration
* Uses new PiXflat UI theme for GTK and Openbox
* CPU activity gauge plugin no longer shown on taskbar by default
* CPU temperature gauge plugin added (not shown by default)
* USB ejecter and Bluetooth taskbar icons hidden when not appropriate
* Version 74.0.3729.157 of Chromium web browser included
* Version 32.0.0.207 of Flash player included
* IDLE Python IDE removed
* Wolfram Mathematica removed temporarily due to incompatibility with Buster
* Display of package sizes removed from Recommended Software
* Appearance Settings modified to support independent settings for two monitors
* Oracle Java 7 and 8 replaced with OpenJDK 11
* Miscellaneous small bug fixes
* On-board 5GHz WiFi blocked by rfkill by default
The block is removed when taking one of the following actions:
- Selecting a locale in the first run wizard
- Setting the WiFi country in the Raspberry Pi Configuration tool or the Network Settings applet
- Setting the WiFi country in raspi-config
- Providing a wpa_supplicant.conf file through the boot partition
- Running 'rfkill unblock wifi'
* Boot partition size set to 256M
* Linux kernel 4.19.50
* Raspberry Pi firmware 88ca9081f5e51cdedd16d5dbc85ed12a25123201
2019-04-08:
* Chromium browser updated to version 72
* VLC media player updated to version 3.0.6
-3
View File
@@ -94,9 +94,6 @@ on_chroot() {
export -f on_chroot
update_issue() {
local GIT_HASH
GIT_HASH=$(git rev-parse HEAD)
echo -e "Raspberry Pi reference ${IMG_DATE}\nGenerated using ${PI_GEN}, ${PI_GEN_REPO}, ${GIT_HASH}, ${1}" > "${ROOTFS_DIR}/etc/rpi-issue"
}
export -f update_issue
File diff suppressed because one or more lines are too long
+1 -1
View File
@@ -1 +1 @@
dwc_otg.lpm_enable=0 console=serial0,115200 console=tty1 root=ROOTDEV rootfstype=ext4 elevator=deadline fsck.repair=yes rootwait
console=serial0,115200 console=tty1 root=ROOTDEV rootfstype=ext4 elevator=deadline fsck.repair=yes rootwait
+3 -2
View File
@@ -47,8 +47,9 @@
#dtparam=i2s=on
#dtparam=spi=on
# Uncomment this to enable the lirc-rpi module
#dtoverlay=lirc-rpi
# Uncomment this to enable infrared communication.
#dtoverlay=gpio-ir,gpio_pin=17
#dtoverlay=gpio-ir-tx,gpio_pin=18
# Additional overlays and parameters are documented /boot/overlays/README
-1
View File
@@ -1,6 +1,5 @@
#!/bin/bash -e
install -m 644 files/ipv6.conf "${ROOTFS_DIR}/etc/modprobe.d/ipv6.conf"
install -m 644 files/hostname "${ROOTFS_DIR}/etc/hostname"
ln -sf /dev/null "${ROOTFS_DIR}/etc/systemd/network/99-default.link"
-4
View File
@@ -1,4 +0,0 @@
auto lo
iface lo inet loopback
iface eth0 inet dhcp
-3
View File
@@ -1,3 +0,0 @@
# Don't load ipv6 by default
alias net-pf-10 off
#alias ipv6 off
+3
View File
@@ -1,3 +1,6 @@
#!/bin/bash -e
if [ -f "${ROOTFS_DIR}/etc/ld.so.preload" ]; then
mv "${ROOTFS_DIR}/etc/ld.so.preload" "${ROOTFS_DIR}/etc/ld.so.preload.disabled"
fi
+2 -2
View File
@@ -15,7 +15,7 @@ keyboard-configuration keyboard-configuration/altgr select The default for the k
keyboard-configuration keyboard-configuration/model select Generic 105-key (Intl) PC
# Keymap to use:
# Choices: American English, Albanian, Arabic, Asturian, Bangladesh, Belarusian, Bengali, Belgian, Bosnian, Brazilian, British English, Bulgarian, Bulgarian (phonetic layout), Burmese, Canadian French, Canadian Multilingual, Catalan, Chinese, Croatian, Czech, Danish, Dutch, Dvorak, Dzongkha, Esperanto, Estonian, Ethiopian, Finnish, French, Georgian, German, Greek, Gujarati, Gurmukhi, Hebrew, Hindi, Hungarian, Icelandic, Irish, Italian, Japanese, Kannada, Kazakh, Khmer, Kirghiz, Korean, Kurdish (F layout), Kurdish (Q layout), Lao, Latin American, Latvian, Lithuanian, Macedonian, Malayalam, Nepali, Northern Sami, Norwegian, Persian, Philippines, Polish, Portuguese, Punjabi, Romanian, Russian, Serbian (Cyrillic), Sindhi, Sinhala, Slovak, Slovenian, Spanish, Swedish, Swiss French, Swiss German, Tajik, Tamil, Telugu, Thai, Tibetan, Turkish (F layout), Turkish (Q layout), Ukrainian, Uyghur, Vietnamese
keyboard-configuration keyboard-configuration/xkb-keymap select gb
keyboard-configuration keyboard-configuration/xkb-keymap select ${KEYBOARD_KEYMAP}
# Compose key:
# Choices: No compose key, Right Alt (AltGr), Right Control, Right Logo key, Menu key, Left Logo key, Caps Lock
keyboard-configuration keyboard-configuration/compose select No compose key
@@ -23,4 +23,4 @@ keyboard-configuration keyboard-configuration/compose select No compose key
keyboard-configuration keyboard-configuration/ctrl_alt_bksp boolean true
# Keyboard layout:
# Choices: English (UK), English (UK) - English (UK\, Colemak), English (UK) - English (UK\, Dvorak with UK punctuation), English (UK) - English (UK\, Dvorak), English (UK) - English (UK\, Macintosh international), English (UK) - English (UK\, Macintosh), English (UK) - English (UK\, extended WinKeys), English (UK) - English (UK\, international with dead keys), Other
keyboard-configuration keyboard-configuration/variant select English (UK)
keyboard-configuration keyboard-configuration/variant select ${KEYBOARD_LAYOUT}
+4 -1
View File
@@ -14,7 +14,6 @@ raspberrypi-sys-mods
pi-bluetooth
apt-listchanges
usb-modeswitch
apt-transport-https
libpam-chksshpwd
rpi-update
libmtp-runtime
@@ -25,3 +24,7 @@ policykit-1
ssh-import-id
rng-tools
ethtool
vl805fw
ntfs-3g
pciutils
rpi-eeprom
@@ -1,5 +1,5 @@
--- a/rootfs/boot/cmdline.txt
+++ b/rootfs/boot/cmdline.txt
--- stage2.orig/rootfs/boot/cmdline.txt
+++ stage2/rootfs/boot/cmdline.txt
@@ -1 +1 @@
-dwc_otg.lpm_enable=0 console=serial0,115200 console=tty1 root=ROOTDEV rootfstype=ext4 elevator=deadline fsck.repair=yes rootwait
+dwc_otg.lpm_enable=0 console=serial0,115200 console=tty1 root=ROOTDEV rootfstype=ext4 elevator=deadline fsck.repair=yes rootwait quiet init=/usr/lib/raspi-config/init_resize.sh
-console=serial0,115200 console=tty1 root=ROOTDEV rootfstype=ext4 elevator=deadline fsck.repair=yes rootwait
+console=serial0,115200 console=tty1 root=ROOTDEV rootfstype=ext4 elevator=deadline fsck.repair=yes rootwait quiet init=/usr/lib/raspi-config/init_resize.sh
+1 -1
View File
@@ -1,6 +1,6 @@
#!/bin/bash -e
echo "Europe/London" > "${ROOTFS_DIR}/etc/timezone"
echo "${TIMEZONE_DEFAULT}" > "${ROOTFS_DIR}/etc/timezone"
rm "${ROOTFS_DIR}/etc/localtime"
on_chroot << EOF
+1 -1
View File
@@ -1,5 +1,5 @@
xserver-xorg-video-fbdev xserver-xorg xinit xserver-xorg-video-fbturbo
epiphany-browser
mousepad
lxde lxtask menu-xdg
zenity xdg-utils
gvfs-backends gvfs-fuse
+1 -1
View File
@@ -1,5 +1,5 @@
python python3-pygame python-pygame python-tk
python3 python3-tk python3-thonny
python3 python3-tk thonny
python3-pgzero
python-serial python3-serial
python-picamera python3-picamera
+2 -1
View File
@@ -1,11 +1,12 @@
mu-editor
sonic-pi
scratch nuscratch scratch2
scratch nuscratch scratch2 scratch3
smartsim
minecraft-pi python-minecraftpi
python-sense-emu sense-emu-tools python-sense-emu-doc
wolfram-engine
claws-mail
greenfoot-unbundled bluej
nodered